Subject: bug#15910: 24.3.50; [PATCH] eww: Current URL is not entered automatically, after eww starts.

From: Ted Zlatanov <[email-masked]>
Date: Fri, 22 Nov 2013 11:15:16 -0500

On Fri, 22 Nov 2013 12:26:59 +0900 (JST) Masatake YAMATO <[email-masked]> wrote: 

MY> eww() takes URL only. So I think eww should have its own
MY> history stack. However, if the current page is opened via
MY> non-interactive call of emm(), the url for the page will
MY> not be stored to history stack. As the result the user cannot
MY> retrieve the url via \M-p.

Good point.  s/emm/eww/.

MY> So I think both the initial value, which Kenjiro proposed, and emm own
MY> history stack are needed in read-string.

Yes.  Furthermore, followed links within `eww' should be added to the
history stack.  That would be valuable.

MY> BTW, I recommend you to put ChangeLog entry to the report when
MY> you propose a patch.

Yes, please :)

Ted